/**
 * 爬虫错误类
 * @extends Error
 */
class CrawlerError extends Error {
  /**
   * @param {string} message - 错误信息
   * @param {string} code - 错误代码
   * @param {string} platform - 平台名称
   * @param {Error} [originalError] - 原始错误对象
   */
  constructor(message, code, platform, originalError = null) {
    super(message);
    this.name = 'CrawlerError';
    this.code = code;
    this.platform = platform;
    this.originalError = originalError;
    this.timestamp = new Date().toISOString();
  }
}

module.exports = CrawlerError; 